﻿* Encoding: UTF-8.

* *** RAAAP-3 project, unfunded, but sponsored by INORMS
* *** 10th February 2023, SRK
* *** * This file is based on the syntax file from RAAAP-1
* *** * Simon Kerridge and Stephanie F Scott
* *** * 29th July 2017, SRK
* *** * This should be run on the dataset that has been previously processed with the cleanup syntax
* *** * and hence the data set has the tidied up data as per the Data Analysis Plan
* *** * This is to take all (well most) of the text fields out to leave just the anonymous data for sharing
* *** * it produces 15 datasets.  The Main dataset, Career dataset, Employer and 12 other files with text responses
* *** * other than the main dataset, these are anonymised by linking only the geographic RegionOfAnalysis
* *** * the main dataset containly (mainly) only non text responses and is hence anonymous.
* *** * the various datasets are then sorted in order that records between datasets cannot be matched - protecting anonymity
* *** * Whilst the syntax was mainly developed by SRK it was checked and before and after data checks were
* *** * undertaken with SFS.
* *** THIS file used the original RAAAP one as a template.
* *** For RAAAP-2 there are a total of 17 datasets - with some new ones and some changed depricated.
* *** revised 9th Dec 2021 to read the final cleansed dataset, final revision 10th Dec 2021 to add RAAAP-1 mapping table below.
* *** revised 23rd Dec 2021 to read the most up to date cleansed data file.
* *** 10th Feb 2023 this is now updated for RAAAP-3.
* *** NB for RAAAP-3, as the anonymising has been very draconian, we are now inlcuding CountryOfEmployment as well as AnalysisRegionOfEmployment

* *** 3rd May 2023 (for v5 of the data cleansing), added CurrentJobTitle into the Identity dataset.


* *** RAAAP-1 datasets                                   RAAAP-2 datasets                                                                                                            RAAAP-3 datasets
* *** =============================    ==================================================================    ===============
* *** MainDataset                                            MainDataset (equivalent, but with some new fields).                                                              MainDataset (equivalent, but with some new fields).
* *** AnyComments                                         AnyComments (identical)                                                                                                   AnyComments (identical)
* *** AnyIssues                                               AnyIssues (identical)                                                                                                          AnyIssues (identical)
* *** <<not in RAAAP-1>>                               AreasWorkingIn [NEW]                                                                                                      AreasWorkingIn (identical)
* *** CareerDataset                                          CareerDataset (equivalent) + equivalent of EmploymentHistoryDetails and NumOtherDetails    CareerDataset (lots more in RAAAP-3)
* *** CurrentEmploymentStatusDetails              CurrentEmploymentStatusDetails (identical, but added CurrentEmploymentStatus)                 CurrentEmploymentStatusDetails (same)
* *** <<not in RAAAP-1>>                               CurrentEmploymentTypeDetails (new)                                                                                  CurrentEmploymentTypeDetails (same)
* *** CurrentRoleLevelDetails                            CurrentRoleLevelDetails (identical, but added CurrentEmploymentStatus)                               CurrentRoleLevelDetails (same)
* *** <<not in RAAAP-1>>                               EducationAligned (new)                                                                                                      EducationAligned (same)
* *** EmployerDataset                                     EmployerDataset (equivalent - but Employer has not been cleansed)                                      EmployerDataset (same)
* *** EmploymentHistoryDetails                        <<not in RAAAP-2>>  --> equivalent included in CareerDataset                                             <<not in RAAAP-3, see CareerDataset)
* *** HighestQualificationSubjectDetails            HighestQualificationSubjectDetails (adds before and during)                                                   HighestQualificationSubjectDetails (same)
* ***<<not in RAAAP-1>>                                <<not in RAAAP-2>>                                                                                                         IdentityDetails
* *** <<not in RAAAP-1>>                               ImpactDetails [NEW]                                                                                                          ImpactDetails (added some quant data)
* *** InstitutionCharacterDetails                        InstitutionCharacterDetails (identical, but added InstitutionCharacter)                                      InstitutionCharacterDetails (same)
* *** InstitutionTypeDetails                               InstitutionTypeDetails (identical, but added InstitutionType)                                                    InstitutionTypeDetails (same)
* *** NumOtherDetails                                     <<not in RAAAP-2>> --> equivalent included in CareerDataset                                               <<not in RAAAP-3, see CareerDataset)
* *** OrgDepartmentDetails                              OrgDepartmentDetails (identical, but added OrgDepartment)                                                  OrgDepartmentDetails (same)
* *** PD_OtherDetails                                      PD_OtherDetails (identical)                                                                                                 PD_OtherDetails (same)
* *** PQ_OtherDetails                                      PQ_OtherDetails (identical) plus added PQ_OtherComments                                                 PQ_OtherDetails (same).


CD 'C:\Users\srk\Dropbox\RAAAP-3 HIBARMA\HIBARMA\RAAAP-3 Analysis'.

GET
  FILE 'RAAAP-3 All Cleansed Data 20230503.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.


*** Then need to delete the redundant fields &  text fields (that are to be made available separately (to ensure anonymity [already exported to excel]).

* ***
* *** This will create the main data file - ie all non text responses + ResponsibilityForOtherDetails + Assoc_OtherDetails

match file file *
/drop
FirstRoleLevelDetails
CurrentRoleLevelDetails
EmploymentStatusDetails
EmploymentTypeDetails
WorksInOtherArea
JRespFor_SomethingElseD
JobDescriptionMatchD
SubjectAreasSupport_OD
EducationAlignedDet
EducationAlignImpDet
InstitutionCharDet
InstitutionTypeDet
OrgDepartmentDetails
IE_ImpactAtWorkDet
NumRARolesDetails
NumYearsOtherD
NumYearsWorkedAtDet
JoinRAMoreDetails
JoinRAOtherDet
StayRAOtherDet
HighestQualSubjectBeforeDet
HighestQualSubjectDuringDet
HighestQualificationSubjectDet
PQ_OtherDetails
PQ_OtherComments
PD_Other
PD_OtherDetails
EthnicBackgroundDetails
CurrentJobTitle
PreRMARoleDurationRecent
PreRMARoleDurationMiddle
PreRMARoleDurationOldest
PreRMARoleDurationRecentGrouped
PreRMARoleDurationMiddleGrouped
PreRMARoleDurationOldestGrouped
PreRMARoleDetailsRecent
PreRMARoleDetailsMiddle
PreRMARoleDetailsOldest
PreRMARoleAreaRecent
PreRMARoleAreaMiddle
PreRMARoleAreaOldest
PreRMARoleDetails
CareerPlanDet
ChallengeOtherDet
SkillsForRMAJobDet
CareerSatisfactionDetails
IdentityDetails
AreasOfDissatisfactionDetails
WhyRecommendRMA
AnyComments
AnyIssues
Name
Email
SocialMedia
Employer.
Execute.

SORT CASES BY ResponseID(A).
execute.

save outfile='RAAAP-3_MainDataset.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the career data set - anonymised text responses (+Region) of:
* *** NumRARolesDetails + FirstRoleLevelDetails + JoinRAOther1Details + JoinRAOther2Details + JoinRAOther3Details + JoinRAMoreDetails +
* *** StayRAOther1Details + StayRAOther2Details + StayRAOther3Details + StayRAMoreDetails + WhenSkillsLearnedDetails.
* *** NOTE that a *LOT* of additional data have been added for RAAAP-3 - this is the main HIBARMA dataset

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** Any further data cleansing to be done?.

* *** sort by any "random" field to jumble things up a little first

SORT CASES BY CurrentRoleLevel(A) NumYearsInstitute(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
FirstRoleLevelDetails
CurrentRoleLevelDetails
FirstEmploymentStatus
CurrentEmploymentStatus
EmploymentStatusDetails
FirstEmploymentType
CurrentEmploymentType
EmploymentTypeDetails
OrgDepartment_First
NumRARoles
NumRARolesDetails
NumYearsOtherD
NumYearsWorkedAtDet
JoinRAReason
JoinRAMoreDetails
JoinRAOtherDet
StayRAOtherDet
PreRMARoleDurationRecent
PreRMARoleDurationMiddle
PreRMARoleDurationOldest
PreRMARoleDurationRecentGrouped
PreRMARoleDurationMiddleGrouped
PreRMARoleDurationOldestGrouped
PreRMARoleDetailsRecent
PreRMARoleDetailsMiddle
PreRMARoleDetailsOldest
PreRMARoleAreaRecent
PreRMARoleAreaMiddle
PreRMARoleAreaOldest
PreRMARoleDetails
CareerPlan
CareerPlanDet
ChallengeOtherDet
SkillsForRMAJobDet
CareerSatisfaction
CareerSatisfactionDetails
AreasOfDissatisfactionDetails
WouldRecommendRMA
WhyRecommendRMA.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) NumRARolesDetails(A) FirstRoleLevelDetails(A) JoinRAOtherDet(A).
execute.

save outfile='RAAAP-3_CareerDataset.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the AreasWorkingIn in dataset - anonymised text responses (+Region) of:
* *** WorksInOtherArea + JRespFor_SomethingElseD + JobDescriptionMatchD also add SubjectAreasSupport_OD
* *** Is it safe to include the other main WorksIn* and JRespFor* fields...?  Probably not - too many variables... bound to be some unique combinations

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** sort by any "random" field to jumble things up a little first

SORT CASES BY NumRARoles(A) HighestQualification(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
WorksInOtherArea
JRespFor_SomethingElseD
JobDescriptionMatchD
SubjectAreasSupport_OD.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) JRespFor_SomethingElseD(A) WorksInOtherArea(A).
execute.

save outfile='RAAAP-3_AreasWorkingIn.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the EducationAlignment dataset - anonymised text responses (+Region) of:
* *** EducationAlignedDet + EducationAlignImpDet
* *** But we can also include the associated likert scale data as there are no unique lines (that contain text responses), so little change of de-anonymising
* *** So it is safe to include tEducationAligned + EducationAlignImp

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** sort by any "random" field to jumble things up a little first

SORT CASES BY  AgeRange(A) CountryOfEmployment(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
EducationAligned
EducationAlignedDet
EducationAlignImp
EducationAlignImpDet.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) EducationAligned(A) EducationAlignImp(A).
execute.

save outfile='RAAAP-3_EducationAligned.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the employer data set - information about the Employing instution (+Region) of:
* *** InstitutionType + InstitutionCharacter + ContinentOfEmployment + RegionOfEmployment + AnalysisRegionOfEmployment +
* *** CountryOfEmployment + StateOfEmployment + EmployerCleaned


GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY CurrentEmploymentStatus(A) NumRARoles(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
InstitutionCharacter2
InstitutionCharacter
InstitutionType
AusStateOfEmployment
StateOfEmployment
ProvinceOfEmployment
NationOfEmployment
ContinentOfEmployment
RegionOfEmployment.
/* EmployerCleaned. /* So it looks like we will need to add EmployerCleaned.... sigh.
/* *** NOT in initial RAAAP-2 dataset... this can be done later perhaps - but probably it is not useful, so not needed...?
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) InstitutionType(A) InstitutionCharacter2(A).
execute.

save outfile='RAAAP-3_EmployerDataset.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the CurrentRoleLevelDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInProposalDevelopment(A) FirstRoleLevel(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
CurrentRoleLevelR3
CurrentRoleLevel
CurrentRoleLevelDetails.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) CurrentRoleLevel(A) CurrentRoleLevelDetails(A).
execute.

save outfile='RAAAP-3_CurrentRoleLevelDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the CurrentEmploymentStatusDetails - anonymised text responses (+Region).
* *** NOTE that for RAAAP-3 the variable is called EmploymentStatusDetails for some reason the "Current" was dropped missed...

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInProjectSupport(A) JoinRAInterested(A).
execute.


match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
CurrentEmploymentStatus
EmploymentStatusDetails.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) CurrentEmploymentStatus(A) EmploymentStatusDetails(A).
execute.

save outfile='RAAAP-3_CurrentEmploymentStatusDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the OrgDepartmentDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInTranslation(A) JoinRASkillsMatch(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
OrgDepartment_First
OrgDepartment
OrgDepartmentDetails.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) OrgDepartment(A) OrgDepartmentDetails(A).
execute.

save outfile='RAAAP-3_OrgDepartmentDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the InstitutionTypeDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInPGR(A) JoinRATemporary(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
InstitutionType
InstitutionTypeDet.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) InstitutionType(A) InstitutionTypeDet(A).
execute.

save outfile='RAAAP-3_InstitutionTypeDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the InstitutionCharacterDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

SORT CASES BY WorksInPolicy(A) JoinRAFriend(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
InstitutionCharacter2
InstitutionCharacter
InstitutionCharDet.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) InstitutionCharacter2(A) InstitutionCharDet(A).
execute.

save outfile='RAAAP-3_InstitutionCharacterDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the HighestQualificationSubjectDetails - anonymised text responses (+Region)
* *** RAAAP-2 has extra information on qualifications before and during.

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInServiceDelivery(A) JoinRAAdmin(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
HighestQualificationSubjectDet
HighestQualSubjectBeforeDet
HighestQualSubjectDuringDet.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) HighestQualificationSubjectDet(A).
execute.

save outfile='RAAAP-3_HighestQualificationSubjectDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the PQ_OtherDetails - anonymised text responses (+Region)
* *** and add PQ_OtherComments

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY WorksInTraining(A) WorksInOtherArea(A).
execute.


match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
PQ_Other
PQ_OtherDetails
PQ_OtherComments.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) PQ_OtherDetails(A).
execute.

save outfile='RAAAP-3_PQ_OtherDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the PD_OtherDetails - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY OrgDepartment(A) InstitutionType(A).
execute.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
PD_Other
PD_OtherDetails.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) PD_OtherDetails(A).
execute.

save outfile='RAAAP-3_PD_OtherDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the AnyComments - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY InstitutionCharacter(A) NumYearsPUI(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
AnyComments.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) AnyComments(A).
execute.

save outfile='RAAAP-3_AnyComments.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the AnyIssues - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY NumYearsUniActive(A) NumYearsUniIntense(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
AnyIssues.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) AnyIssues(A).
execute.

save outfile='RAAAP-3_AnyIssues.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the CurrentEmploymentTypeDetails - anonymised text responses (+Region)
* For RAAAP-3 EmploymentTypeDetails has been used instead of CurrentEmploymentTypeDetails. (not sure why! ;) )

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY JoinRAMoreDetails(A) InstitutionCharacter2(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
CurrentEmploymentType
EmploymentTypeDetails.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) CurrentEmploymentType(A) EmploymentTypeDetails(A).
execute.

save outfile='RAAAP-3_CurrentEmploymentTypeDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.

* ***
* *** This will create the Impact - anonymised text responses (+Region)

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY NumYearsFunder(A) NumRARoles(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
IE_SupportImpact
IE_UnderstandImpact
IE_ImpactStrategy
IE_ImpactTraining
IE_SupportEngagement
IE_UnderstandEngagement
IE_EngagementStrategy
IE_EngagementTraining
IE_ImpactAtWorkDet.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) IE_ImpactAtWorkDet(A).
execute.

save outfile='RAAAP-3_ImpactDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.


* ***
* *** This will create the Identity dataset - new for RAAAP-3

GET
  FILE 'RAAAP-3 All Cleansed Data 20220914.sav'.
DATASET NAME RAAAP3_allcleansed WINDOW=FRONT.

* *** pre-sort by some "random" variables in order to jumble the order to protect anonymity

SORT CASES BY JoinRAInterested(A) HighestQualificationSubject(A).
execute.

* *** Need to check to anonymise!!!!.

match file file *
/keep
AnalysisRegionOfEmployment
CountryOfEmployment
IdentityRMA
IdentityName
IdentityDetails
CurrentJobTitle.
Execute.

SORT CASES BY AnalysisRegionOfEmployment(A) CountryOfEmployment(A) IdentityRMA(A) IdentityName(A).
execute.

save outfile='RAAAP-3_IdentityDetails.sav'.
Execute.

DATASET CLOSE RAAAP3_allcleansed.
Execute.
* *** THIS IS THE END OF THE DATA SPLITTING ***
* *** There are two .spv files and this is the last one ***








